> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dakota.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Investments API

> This endpoint requires an Oauth-Token obtained from /oauth2

## How to Use

1. **Copy** any of the JSON examples below.
2. **Go to the API playground** by clicking on the **"Try it"** button.
3. **Paste** the JSON into the request body field.
4. **Click "Send"** button to execute the request.

## Examples

### Count Investment Records

```json theme={null}
{
  "module": "investment__c",
  "count_only": "1"
}
```

### List All Investments

```json theme={null}
{
  "module": "investment__c"
}
```

### List Investments with Specific Fields

```json theme={null}
{
  "module": "investment__c",
  "filters": {
    "fields": ["name", "createddate", "country__c"],
    "order_by": "name:DESC",
    "max_num": "10"
  }
}
```

### Filter By Investment Name (AND Example)

```json theme={null}
{
  "module": "investment__c",
  "filters": {
    "filter": [
      {
        "$and": [
          {
            "name": {
              "$contains": "RT"
            }
          },
          {
            "name": {
              "$contains": "Test"
            }
          }
        ]
      }
    ]
  }
}
```

### Filter By Created Date (Last 30 Days)

```json theme={null}
{
  "module": "investment__c",
  "filters": {
    "filter": [
      {
        "createddate": {
          "$dateRange": "last_30_days"
        }
      }
    ],
    "max_num": "10"
  }
}
```

### Filter By Fund Balance

```json theme={null}
{
  "module": "investment__c",
  "filters": {
    "filter": [
      {
        "fund_balance__c": {
          "$gt": "1000000"
        }
      }
    ]
  }
}
```


## OpenAPI

````yaml POST /index.php/api/dakota
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://marketplace-as-a-service.herokuapp.com
security: []
paths:
  /index.php/api/dakota:
    post:
      description: This endpoint requires an Oauth-Token obtained from /oauth2
      requestBody:
        required: true
        content:
          text/plain:
            schema:
              type: string
              description: >-
                Copy any of the JSON examples and paste it into the request body
                field.
            example: <JSON example>
      security:
        - authToken: []
components:
  securitySchemes:
    authToken:
      type: apiKey
      in: header
      name: Oauth-Token
      description: >-
        Get the OAuth token by calling the /oauth2 authentication API. Use the
        access_token from the response to authorize your API requests.

````